/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLTableColElement_H__
#define __GdomHTMLTableColElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLTableColElement GdomHTMLTableColElement;
typedef struct _GdomHTMLTableColElementClass GdomHTMLTableColElementClass;


#define GDOM_TYPE_HTML_TABLE_COL_ELEMENT            (gdom_html_table_col_element_get_type())
#define GDOM_HTML_TABLE_COL_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_TABLE_COL_ELEMENT, GdomHTMLTableColElement))
#define GDOM_HTML_TABLE_COL_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_TABLE_COL_ELEMENT, GdomHTMLTableColElement)Class)
#define GDOM_IS_HTML_TABLE_COL_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_TABLE_COL_ELEMENT))
#define GDOM_IS_HTML_TABLE_COL_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_TABLE_COL_ELEMENT))
#define GDOM_HTML_TABLE_COL_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_TABLE_COL_ELEMENT, GdomHTMLTableColElementClass))

typedef struct _GdomHTMLTableColElementPrivate GdomHTMLTableColElementPrivate;

struct _GdomHTMLTableColElement {
    GdomHTMLElement parent_instance;
    GdomHTMLTableColElementPrivate *priv;
};

struct _GdomHTMLTableColElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_table_col_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLTableColElement_H__ */
